/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008-2012 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                                 v 6.1                    *
*********************************************************************************
* Id: fxplayer_utils.c,                                2008/01/01               *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#include "config.h"
#ifdef ENABLE_PLAYER

#include "fxplayer_utils.h"

float screen_increment_conversion(float increment_size, int increment_step){
    // set the relative increment correction of the screen size
    switch (increment_step) { 
      case -1:
        increment_size = 0.9;
        break;
      case -2:
        increment_size = 0.8;
        break;
      case -3:
        increment_size = 0.6;
        break;
      case 0: 
        increment_size = 1.0; // original size
        break;
      case 1:
        increment_size = 1.3;
        break;
      case 2:
        increment_size = 1.6;
        break;
      case 3:
        increment_size = 1.9;
        break;
      case 4:
        increment_size = 2.2;
        break;
      case 5:
        increment_size = 2.5;
        break;
      case 6:
        increment_size = 2.8;
        break;
      case 7:
        increment_size = 3.1;
        break;
      case 8:
        increment_size = 3.4;
        break;
    }
	return increment_size;
}


int video_screen_resize_h(int w, int enlarge_h){
    // enlarge the horizontal size of the picture if requested
    switch (enlarge_h) { 
      case 0: // original size
        break;
      case 1:
        w = w + w*0.1;
        break;
      case 2:
        w = w + w*0.2;
        break;
      case 3:
        w = w + w*0.3;
        break;
      case 4:
        w = w + w*0.4;
        break;
      case 5:
        w = w + w*0.5;
        break;
      case 6:
        w = w + w*0.6;
        break;
      case 7:
        w = w + w*0.7;
        break;
      case 8:
        w = w + w*0.8;
        break;
      case 9:
        w = w + w*0.9; // max size
        break;
    }
	return w;
}


int video_screen_resize_v(int h, int enlarge_v){
    // enlarge the vertical size of the picture if requested
    switch (enlarge_v) { 
      case 0: // original size
        break;
      case 1:
        h = h + h*0.1;
        break;
      case 2:
        h = h + h*0.2;
        break;
      case 3:
        h = h + h*0.3;
        break;
      case 4:
        h = h + h*0.4;
        break;
      case 5:
        h = h + h*0.5;
        break;
      case 6:
        h = h + h*0.6;
        break;
      case 7:
        h = h + h*0.7;
        break;
      case 8:
        h = h + h*0.8;
        break;
      case 9:
        h = h + h*0.9; // max size
        break;
    }
	return h;
}

#endif /* ENABLE_PLAYER */
